[Ovirt-devel] [PATCH node] Check to make sure a config file was applied, if not revert to default config

Perry Myers pmyers at redhat.com
Sun Sep 21 06:30:08 UTC 2008


ovirt-early tries to use the managed_node controller on the server
to get the remote config.  If there is none available a file is returned
but there is presently no way to determine if that file is 'empty' or not

This check looks to see if any ifup-eth* files were created.  If none were, then
we assume the config was blank and use the default bridge config of one bridge
per physical interface.

Signed-off-by: Perry Myers <pmyers at redhat.com>
---
 scripts/ovirt-early |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/ovirt-early b/scripts/ovirt-early
index 5843fed..95e8bf7 100755
--- a/scripts/ovirt-early
+++ b/scripts/ovirt-early
@@ -49,7 +49,7 @@ configure_from_network() {
                         if [ -f /var/tmp/node-augtool ]; then
                             augtool < /var/tmp/node-augtool
                         fi
-                        if [ $? -eq 0 ]; then
+                        if [[ $? -eq 0 && -f /etc/sysconfig/network-scripts/ifcfg-eth* ]]; then
                             printf "remote config applied."
                             return
                         fi
-- 
1.5.5.1




More information about the ovirt-devel mailing list